Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.viewer.plaf
Class BasicAlignmentRulerUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.SliderUI
                  |
                  +--javax.swing.plaf.basic.BasicSliderUI
                        |
                        +--uk.ac.man.bioinf.gui.viewer.plaf.BasicAlignmentRulerUI

public class BasicAlignmentRulerUI
extends BasicSliderUI

BasicAlignmentRulerUI.java Created: Thu Mar 23 17:10:31 2000

Version:
  $Id: BasicAlignmentRulerUI.java,v 1.3 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicSliderUI
`BasicSliderUI.ActionScroller, BasicSliderUI.ChangeHandler, BasicSliderUI.ComponentHandler, BasicSliderUI.FocusHandler, BasicSliderUI.PropertyChangeHandler, BasicSliderUI.ScrollListener, BasicSliderUI.TrackListener`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicSliderUI
`changeListener, componentListener, contentRect, focusInsets, focusListener, focusRect, insetCache, labelRect, leftToRightCache, MAX_SCROLL, MIN_SCROLL, NEGATIVE_SCROLL, POSITIVE_SCROLL, propertyChangeListener, scrollListener, scrollTimer, slider, thumbRect, tickRect, trackBuffer, trackListener, trackRect`

Constructor Summary
`BasicAlignmentRulerUI(JComponent comp)`

Method Summary
`protected void` | `calculateGeometry()`
`protected void` | `calculateThumbLocation()`
`protected void` | `calculateTrackBuffer()`
`protected void` | `calculateTrackRect()`
`static ComponentUI` | `createUI(JComponent comp)`
`Dimension` | `getPreferredSize(JComponent comp)`
`void` | `paint(Graphics g, JComponent c)`
`void` | `paintThumb(Graphics g)`
`void` | `paintTrack(Graphics g)`
`protected void` | `recalculateIfInsetsChanged()`

Methods inherited from class javax.swing.plaf.basic.BasicSliderUI
`calculateContentRect, calculateFocusRect, calculateLabelRect, calculateThumbSize, calculateTickRect, createChangeListener, createComponentListener, createFocusListener, createPropertyChangeListener, createScrollListener, createTrackListener, drawInverted, getFocusColor, getHeightOfHighValueLabel, getHeightOfLowValueLabel, getHeightOfTallestLabel, getHighestValueLabel, getHighlightColor, getLowestValueLabel, getMaximumSize, getMinimumHorizontalSize, getMinimumSize, getMinimumVerticalSize, getPreferredHorizontalSize, getPreferredVerticalSize, getShadowColor, getThumbSize, getTickLength, getWidthOfHighValueLabel, getWidthOfLowValueLabel, getWidthOfWidestLabel, installDefaults, installKeyboardActions, installListeners, installUI, paintFocus, paintHorizontalLabel, paintLabels, paintMajorTickForHorizSlider, paintMajorTickForVertSlider, paintMinorTickForHorizSlider, paintMinorTickForVertSlider, paintTicks, paintVerticalLabel, recalculateIfOrientationChanged, scrollByBlock, scrollByUnit, scrollDueToClickInTrack, setThumbLocation, uninstallKeyboardActions, uninstallListeners, uninstallUI, valueForXPosition, valueForYPosition, xPositionForValue, yPositionForValue`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicAlignmentRulerUI

    public BasicAlignmentRulerUI(JComponent comp)

Method Detail

### getPreferredSize

    public Dimension getPreferredSize(JComponent comp)

  Overrides:
    `getPreferredSize` in class `BasicSliderUI`

### recalculateIfInsetsChanged

    protected void recalculateIfInsetsChanged()

  Overrides:
    `recalculateIfInsetsChanged` in class `BasicSliderUI`

### paint

    public void paint(Graphics g,
                      JComponent c)

  Overrides:
    `paint` in class `BasicSliderUI`

### paintThumb

    public void paintThumb(Graphics g)

  Overrides:
    `paintThumb` in class `BasicSliderUI`

### paintTrack

    public void paintTrack(Graphics g)

  Overrides:
    `paintTrack` in class `BasicSliderUI`

### calculateGeometry

    protected void calculateGeometry()

  Overrides:
    `calculateGeometry` in class `BasicSliderUI`

### calculateTrackBuffer

    protected void calculateTrackBuffer()

  Overrides:
    `calculateTrackBuffer` in class `BasicSliderUI`

### calculateTrackRect

    protected void calculateTrackRect()

  Overrides:
    `calculateTrackRect` in class `BasicSliderUI`

### calculateThumbLocation

    protected void calculateThumbLocation()

  Overrides:
    `calculateThumbLocation` in class `BasicSliderUI`

### createUI

    public static ComponentUI createUI(JComponent comp)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD